Package net.sf.saxon.s9api

## Class XsltExecutable.ParameterDetails

- java.lang.Object
- - net.sf.saxon.s9api.XsltExecutable.ParameterDetails

- Enclosing class:
    XsltExecutable

      public class XsltExecutable.ParameterDetails
      extends java.lang.Object

  Inner class containing information about a global parameter to a compiled stylesheet
  Since:
    9.3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ParameterDetails​(SequenceType type, boolean isRequired)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OccurrenceIndicator` | `getDeclaredCardinality()` | Get the declared cardinality of the parameter
    `ItemType` | `getDeclaredItemType()` | Get the declared item type of the parameter
    `SequenceType` | `getUnderlyingDeclaredType()` |
    `boolean` | `isRequired()` | Ask whether the parameter is required (mandatory) or optional

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterDetails

          protected ParameterDetails​(SequenceType type,
                                     boolean isRequired)

  - ### Method Detail

    - #### getDeclaredItemType

          public ItemType getDeclaredItemType()

      Get the declared item type of the parameter
      Returns:
        the type defined in the `as` attribute of the `xsl:param` element, without its occurrence indicator

    - #### getDeclaredCardinality

          public OccurrenceIndicator getDeclaredCardinality()

      Get the declared cardinality of the parameter
      Returns:
        the occurrence indicator from the type appearing in the `as` attribute of the `xsl:param` element

    - #### getUnderlyingDeclaredType

          public SequenceType getUnderlyingDeclaredType()

    - #### isRequired

          public boolean isRequired()

      Ask whether the parameter is required (mandatory) or optional
      Returns:
        true if the parameter is mandatory (`required="yes"`), false if it is optional